<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 
$Start = "0" ;
$param = array() ;

$pgFileValues = file("/etc/bm/bm.ini");

foreach( array_keys($pgFileValues) as $key) {

	$thisVal = str_replace(array("\n","\r"), array("",""), $pgFileValues[$key]);

	if($thisVal == "[global]") {
        	$Start = "1" ;
	};
	if( (preg_match("/\[.*\]/",$thisVal)) and ($thisVal != "[global]") ) {
       		$Start = "0" ;
	};

	if( ($Start == "1") and (preg_match('/host = (?P<host>.+)/',$thisVal,$match)) ) {
         	$param['host'] = $match['host'] ;
	};

	if( ($Start == "1") and (preg_match("/^db = (?P<db>.+)/",$thisVal,$match)) ) {
         	$param['db'] = $match['db'] ;
	};

	if( ($Start == "1") and (preg_match("/^user = (?P<user>.+)/",$thisVal,$match)) ) {
         	$param['user'] = $match['user'] ;
	};

	if( ($Start == "1") and (preg_match("/^password = \"(?P<password>.+)\"/",$thisVal,$match)) ) {
         	$param['password'] = $match['password'] ;
	};

};

print_r($param) ;

$query="Select domain.domain_name,status,mail_quota,mail_quota_use,nomade_enable,mail_server_id from userbm, domain where domain.domain_id=userbm.domain_id and domain.domain_name not like 'global.virt' order by domain_name";

$connDef = "host=".$param['host']." port=5432 dbname=".$param['db']." user=".$param['user']." password=".$param['password'] ;
$conn = pg_pconnect($connDef);  
$res = pg_query($conn, $query);  
//return $res;

while ($val = pg_fetch_assoc($res)) {
	print_r($val) ;
};
pg_close($conn);  


$myTab = array("1","2","3","4","5") ;

echo $myTab['0']." ".end($myTab);

?>